petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecPermute

Permutes a vector in place using the given ordering.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecPermute(Vec x, IS row, PetscBool inv)

### Input Parameters

| vec | - The vector
| order | - The ordering
| inv | - The flag for inverting the permutation

Note: This function does not yet support parallel Index Sets with non-local permutations

### See Also

MatPermute()

### Keywords

vec, permute

### Level

beginner

### Location

src/vec/vec/utils/vinv.c

### Examples

src/ksp/ksp/examples/tutorials/ex18.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages